#ifndef _DISCIPLINA_H_
#define _DISCIPLINA_H_

#include "Lista.h"
#include "Matricula.h"
#include "Departamento.h"

class Disciplina
{ 
private:
    int id;
    char nome[150];
    char area_conhecimento[150];
     
    Departamento* DeptoAssociado; 
    Lista<Matricula*> ObjLMatriculas;

public:
    Disciplina(int i = -1, int na = 45, char* ac = "");
    ~Disciplina();

    void setId(int i);
	int getId();

	void setNome(char* n);
	char* getNome();
	
	void setDepartamento(Departamento* d);
	Departamento* getDepartamento();

    void incluaAluno(Aluno* pa);
	bool incluirPriParcial(int RA, float nota);
	bool incluirSegParcial(int RA, float nota);
	bool incluirFinal(int RA, float nota);
	bool incluirFaltas(int RA, int faltas);

    void listeAlunos();
    void listeAlunos2();
	void listeAlunos3();
};

#endif
